package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.executePlan.dto.planInfo.AppList;
import net.northking.cctp.executePlan.dto.planInfo.DeviceList;

import java.util.List;

public class AtuScriptInfoFeignDto {
    @ApiModelProperty("脚本id集合")
    private List<String> scriptId;

    @ApiModelProperty("应用集合")
    private List<AppList> appLists;

    @ApiModelProperty("设备集合")
    private List<DeviceList> deviceLists;

    public List<String> getScriptId() {
        return scriptId;
    }

    public void setScriptId(List<String> scriptId) {
        this.scriptId = scriptId;
    }

    public List<AppList> getAppLists() {
        return appLists;
    }

    public void setAppLists(List<AppList> appLists) {
        this.appLists = appLists;
    }

    public List<DeviceList> getDeviceLists() {
        return deviceLists;
    }

    public void setDeviceLists(List<DeviceList> deviceLists) {
        this.deviceLists = deviceLists;
    }
}
